commit:     cb03b34508ddacacc401aa8db64fd292ce511a4c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 21 20:32:28 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 21 20:40:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb03b345

xfce-base/xfconf: Bump to 4.13.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/xfconf/Manifest             |  1 +
 xfce-base/xfconf/xfconf-4.13.6.ebuild | 74 +++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/xfce-base/xfconf/Manifest b/xfce-base/xfconf/Manifest
index 286370007e8..767f8db5224 100644
--- a/xfce-base/xfconf/Manifest
+++ b/xfce-base/xfconf/Manifest
@@ -1,3 +1,4 @@
 DIST xfconf-4.12.1.tar.bz2 564131 BLAKE2B 
893210f19d743559b0879e9e38004400c8f8af0b6b8c72db4602360eee2ee7058f074e86f2f9e4397f6e728eae0148d3621424461d53e84ad768d7f0673ed08a
 SHA512 
114dba6a78d43b25eebfd9ef78beec75391b0c77e736e66ae2b04fe97dc281f93d05467ddfdd63a5067f44de135347564fe55928ae7de72f0984339db411d77f
 DIST xfconf-4.13.4.tar.bz2 598700 BLAKE2B 
05d4f7e360359e8d56b8a4cf6a39f22506113a758861fb730d9fb858f92554af3e28c49a21ceb246f8503087bec1032d430b16df999f7db22c56d3d3cb12ad68
 SHA512 
17c4c2ff4b02eef2d3040c21120e34863e4b38794d7670e42a31e4062a0ba0d4064d4239e8166a2c05d5d316773fdc96ae6098e78ab9b058b9c5a31f94c7f3dc
 DIST xfconf-4.13.5.tar.bz2 609549 BLAKE2B 
ccd5e907752d8fa5b5c4a7468c9eeec4083709bbe11b14ae79b20938e3b7c6ff097805be56b3f8cee146e2d0c0ffb272b856e559d1699c4e40d7c140fe7515fe
 SHA512 
34e6b99be0b288707f8632c5fe4f2e66e01ec3950f4d194a7007afb4bc1cfe8bea44f8f80873de2364680481921332c9860b23bca4ced94ecb95c9199df5315b
+DIST xfconf-4.13.6.tar.bz2 578107 BLAKE2B 
6348b536978d1d3f611783e530be7b694c46ad3030ed02e04a6e38122028068ec8392f34667e5d54a09d9115db191d6366619707e117f2b37f3ad8f14a3de2c2
 SHA512 
0eaa1ad428be5bea97b891a6bf0488293064e31d4869b70389ded940a23f9d8cffd0801dd98932658a67e57d6a0da95998872202cf7756aa24caa8f9d2c5f755

diff --git a/xfce-base/xfconf/xfconf-4.13.6.ebuild 
b/xfce-base/xfconf/xfconf-4.13.6.ebuild
new file mode 100644
index 00000000000..39a35ac7568
--- /dev/null
+++ b/xfce-base/xfconf/xfconf-4.13.6.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit virtualx xdg-utils
+
+DESCRIPTION="A configuration management system for Xfce"
+HOMEPAGE="https://www.xfce.org/projects/";
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0/3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE="debug perl"
+
+RDEPEND=">=dev-libs/glib-2.30:=
+       >=xfce-base/libxfce4util-4.10:=
+       perl? (
+               dev-lang/perl:=[-build(-)]
+               dev-perl/glib-perl
+       )
+       !<xfce-base/xfce4-panel-4.13.1
+       !<xfce-base/xfce4-settings-4.13.1"
+DEPEND="${RDEPEND}
+       dev-util/gdbus-codegen
+       dev-util/intltool
+       virtual/pkgconfig
+       sys-devel/gettext
+       perl? (
+               dev-perl/ExtUtils-Depends
+               dev-perl/ExtUtils-PkgConfig
+       )"
+
+src_configure() {
+       local myconf=(
+               $(use_enable perl perl-bindings)
+               $(use_enable debug checks)
+               --with-perl-options=INSTALLDIRS=vendor
+       )
+
+       xdg_environment_reset
+       econf "${myconf[@]}"
+}
+
+src_compile() {
+       emake OTHERLDFLAGS="${LDFLAGS}"
+}
+
+my_test() {
+       local out=$(./xfconfd/xfconfd --daemon) || return 1
+       eval "${out}"
+
+       local ret=0
+       # https://bugzilla.xfce.org/show_bug.cgi?id=13840
+       nonfatal emake -j1 check || ret=1
+
+       kill "${XFCONFD_PID}" || ewarn "Unable to kill xfconfd"
+       return "${ret}"
+}
+
+src_test() {
+       virtx my_test
+}
+
+src_install() {
+       default
+       find "${D}" -type f -name '*.la' -delete || die
+
+       if use perl; then
+               find "${ED}" -type f -name perllocal.pod -delete || die
+               find "${ED}" -depth -mindepth 1 -type d -empty -delete || die
+       fi
+}

Reply via email to